Package com.enonic.xp.portal

## Class PortalResponse.Builder

- java.lang.Object
- - com.enonic.xp.web.WebResponse.Builder<PortalResponse.Builder>
  - - com.enonic.xp.portal.PortalResponse.Builder

- Enclosing class:
    PortalResponse

      public static class PortalResponse.Builder
      extends WebResponse.Builder<PortalResponse.Builder>

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `PortalResponse.Builder` | `applyFilters​(boolean applyFilters)` |
    `PortalResponse` | `build()` |
    `PortalResponse.Builder` | `clearContributions()` |
    `PortalResponse.Builder` | `contribution​(HtmlTag tag, String value)` |
    `PortalResponse.Builder` | `contributions​(ListMultimap<HtmlTag,​String> contributions)` |
    `PortalResponse.Builder` | `contributionsFrom​(PortalResponse portalResponse)` |
    `PortalResponse.Builder` | `postProcess​(boolean postProcess)` |

    - ### Methods inherited from class com.enonic.xp.web.WebResponse.Builder

      `addAllCookies, body, clearCookies, clearHeaders, contentType, cookie, cookies, header, headers, removeHeader, status, webSocket`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### postProcess

          public PortalResponse.Builder postProcess​(boolean postProcess)

    - #### contributions

          public PortalResponse.Builder contributions​(ListMultimap<HtmlTag,​String> contributions)

    - #### contribution

          public PortalResponse.Builder contribution​(HtmlTag tag,
                                                     String value)

    - #### contributionsFrom

          public PortalResponse.Builder contributionsFrom​(PortalResponse portalResponse)

    - #### clearContributions

          public PortalResponse.Builder clearContributions()

    - #### applyFilters

          public PortalResponse.Builder applyFilters​(boolean applyFilters)

    - #### build

          public PortalResponse build()

      Overrides:
        `build` in class `WebResponse.Builder<PortalResponse.Builder>`